Subject: Re: bug#6761: 23.2; flyspell-prog-mode in TeX mode

From: Agustin Martin <[email-masked]>
Date: Mon, 15 Nov 2010 14:28:06 +0100

On Fri, Nov 12, 2010 at 05:59:14PM +0100, Agustin Martin wrote:
> On Fri, Jul 30, 2010 at 06:26:00AM +0100, Leo wrote:
> > When flyspell-prog-mode is turned on a TeX buffer, anything that has a
> > trailing % will be checked, for example
> > 
> >   bookmarksnumbered%
> > 
> > This is incorrect as the word is neither doc string nor comment. I run
> > into this bug fairly often in LaTeX class and style files.
> 
> I finally had time to look at this and seems I found the problem.
> flyspell-prog-mode just checks that face is not one of the faces selected as
> text faces, but does that in the char right after the word, so in
> 
> auto%
> 
> checks face in the % char getting font-lock-comment-face instead of nil as
> should be for a not-to-be-checked word.

Committed a change that should fix this, so closing this bug report. 
Just made sure that (flyspell-prog-mode) checks inside the word.

-- 
Agustin